package org.ntlab.radishforandroidstudio.cactusClient.models;

import org.ntlab.radishforandroidstudio.framework.gameMain.GameBaseModel;
import org.ntlab.radishforandroidstudio.framework.gameMain.RealTime3DFragment;
import org.ntlab.radishforandroidstudio.framework.gameMain.GameBaseModelManager;
import org.ntlab.radishforandroidstudio.framework.model3D.Universe;

/**
 * モデルを管理する
 *
 * @author s.iwatani
 */
public class CactusModels extends GameBaseModelManager implements GameBaseModel {
    private String instanceId = "";

    public CactusModels() {
        super();
    }

    public CactusModels(RealTime3DFragment fragment, Universe universe) {
        super(fragment, universe);
    }

    public void setInstanceId(String id) {
        for(GameBaseModel model : models) {
            model.setInstanceId(id);
        }
        instanceId = id;
    }
}
